Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.shading
Class AffineUVTransformation

    java.lang.Object
      de.grogra.graph.impl.Edge
          de.grogra.graph.impl.Node
              de.grogra.imp3d.shading.ChannelMapNode
                  de.grogra.imp3d.shading.UVTransformation
                      de.grogra.imp3d.shading.AffineUVTransformation

All Implemented Interfaces:
  ChannelMap, Manageable, PersistenceCapable, Shareable, UserFields, XObject, Map, java.io.Serializable

    public class AffineUVTransformation

extends UVTransformation

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.graph.impl.Node
`Node.AccessorBridge, Node.FieldAttributeAccessor, Node.NType`

Nested classes/interfaces inherited from interface de.grogra.util.Map
`Map.Chain`

Field Summary
`static Node.NType` | `$TYPE`
`static Node.NType.Field` | `angle$FIELD`
`static Node.NType.Field` | `offsetU$FIELD`
`static Node.NType.Field` | `offsetV$FIELD`
`static Node.NType.Field` | `scaleU$FIELD`
`static Node.NType.Field` | `scaleV$FIELD`
`static Node.NType.Field` | `shear$FIELD`

Fields inherited from class de.grogra.imp3d.shading.ChannelMapNode
`AMBIENT, COLOR, COLOR_2, DIFFUSE_TRANSPARENCY, DISPLACEMENT, EMISSIVE, FIRST_OP, INPUT, input$FIELD, MIN_UNUSED_SPECIAL_OF_TARGET, SECOND_OP, SHININESS, SPECULAR, TRANSPARENCY, TRANSPARENCY_SHININESS`

Fields inherited from class de.grogra.graph.impl.Node
`ADDITIONAL_FIELDS, bits, DELETED, EXTENT_BIT, EXTENT_MASK, extentIndex$FIELD, extentTail$FIELD, HAS_OBSERVERS, IS_INTERPRETIVE, isInterpretive$FIELD, LAST_EXTENT_INDEX, layer$FIELD, MARK, mark$FIELD, MIME_TYPE, MIN_UNUSED_SPECIAL_OF_SOURCE, name$FIELD, USED_BITS`

Fields inherited from interface de.grogra.util.Map
`DEFAULT_VALUE, EMPTY_MAP`

Constructor Summary
`AffineUVTransformation()`

Method Summary
`void` | `accept(ChannelMapNodeVisitor visitor)`
`void` | `fieldModified(PersistenceField field, int[] indices, Transaction t)`
`float` | `getAngle()`
`Matrix3f` | `getInvTransform()`
`protected Node.NType` | `getNTypeImpl()` This method returns the `Node.NType` which describes the managed fields of the class of this node.
`float` | `getOffsetU()`
`float` | `getOffsetV()`
`float` | `getScaleU()`
`float` | `getScaleV()`
`float` | `getShear()`
`Matrix3f` | `getTransform()`
`protected Node` | `newInstance()` This method returns a new instance of the class of this node.
`void` | `setAngle(float value)`
`void` | `setOffsetU(float value)`
`void` | `setOffsetV(float value)`
`void` | `setScaleU(float value)`
`void` | `setScaleV(float value)`
`void` | `setShear(float value)`
`protected void` | `transform(ChannelData src, ChannelData dest, boolean calculateDerivatives)`

Methods inherited from class de.grogra.imp3d.shading.UVTransformation
`getFloatValue, setDerivatives`

Methods inherited from class de.grogra.imp3d.shading.ChannelMapNode
`accept, getInput, getObjectValue, setInput`

Methods inherited from class de.grogra.graph.impl.Node
`addEdgeBitsTo, addReference, appendBranchNode, appendBranchNode, appendReferencesTo, clone, clone, cloneGraph, dump, dumpTree, dup, dupUnmanagedFields, edgeChanged, findAdjacent, get, getAccessor, getAccessor, getAttributes, getAxisParent, getBoolean, getBranch, getBranchLength, getBranchNode, getBranchTail, getByte, getChar, getCommonAncestor, getCurrentGraphState, getDirectChildCount, getDouble, getEdgeAttributeAccessor, getEdgeAttributes, getEdgeBitsTo, getEdgeTo, getExtentIndex, getFirst, getFirstEdge, getFloat, getGraph, getId, getIndex, getInstantiator, getInt, getLayer, getLong, getManageableType, getName, getNeighbor, getNext, getNType, getObject, getOrCreateEdgeTo, getOrNull, getPersistenceManager, getPredecessor, getProvider, getShort, getSource, getStamp, getSuccessor, getSymbol, getSymbolColor, getTarget, getTransaction, getUserField, getUserFieldCount, getXClass, getXData, hasName, initProvider, initXClass, insertBranchNode, insertBranchNode, instantiateGraph, isAncestorOf, isDirection, isManagingInstance, isMarked, isRoot, isSource, isTarget, manageableReadResolve, manageableWriteReplace, paramString, removeAll, removeEdgeBitsTo, removeFromChain, removeFromChain, removeReference, setBranch, setBranch, setExtentIndex, setGraphForDeserialization, setLayer, setMark, setName, setSuccessor, setSuccessor, specialEdgeAdded, specialEdgeRefModified, specialEdgeRemoved, toString, writeReplace`

Methods inherited from class de.grogra.graph.impl.Edge
`addEdgeBits, getBitMark, getEdgeBits, getObjectMark, getSpecialEdgeDescriptor, parseEdgeKeys, remove, removeEdgeBits, setBitMark, setEdgeBits, setObjectMark, testEdgeBits`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.math.ChannelMap
`getStamp`

Methods inherited from interface de.grogra.persistence.PersistenceCapable
`getBitMark, getObjectMark, setBitMark, setObjectMark`

Field Detail

### $TYPE

    public static final Node.NType $TYPE

### angle$FIELD

    public static final Node.NType.Field angle$FIELD

### offsetU$FIELD

    public static final Node.NType.Field offsetU$FIELD

### offsetV$FIELD

    public static final Node.NType.Field offsetV$FIELD

### scaleU$FIELD

    public static final Node.NType.Field scaleU$FIELD

### scaleV$FIELD

    public static final Node.NType.Field scaleV$FIELD

### shear$FIELD

    public static final Node.NType.Field shear$FIELD

Constructor Detail

### AffineUVTransformation

    public AffineUVTransformation()

Method Detail

### accept

    public void accept(ChannelMapNodeVisitor visitor)

  Overrides:
    `accept` in class `ChannelMapNode`

### fieldModified

    public void fieldModified(PersistenceField field,
                              int[] indices,
                              Transaction t)

  Specified by:
    `fieldModified` in interface `Manageable`
  Overrides:
    `fieldModified` in class `Node`

### getAngle

    public float getAngle()

### getInvTransform

    public Matrix3f getInvTransform()

### getNTypeImpl

    protected Node.NType getNTypeImpl()

  Description copied from class: `Node`
  This method returns the `Node.NType` which describes the managed fields of the class of this node. This method has to be implemented in every concrete subclass.

  Overrides:
    `getNTypeImpl` in class `Node`
  Returns:
    type describing the managed fields of the class of this node

### getOffsetU

    public float getOffsetU()

### getOffsetV

    public float getOffsetV()

### getScaleU

    public float getScaleU()

### getScaleV

    public float getScaleV()

### getShear

    public float getShear()

### getTransform

    public Matrix3f getTransform()

### newInstance

    protected Node newInstance()

  Description copied from class: `Node`
  This method returns a new instance of the class of this node. This method has to be implemented in every concrete subclass.

  Overrides:
    `newInstance` in class `Node`
  Returns:
    new instance of class of this node

### setAngle

    public void setAngle(float value)

### setOffsetU

    public void setOffsetU(float value)

### setOffsetV

    public void setOffsetV(float value)

### setScaleU

    public void setScaleU(float value)

### setScaleV

    public void setScaleV(float value)

### setShear

    public void setShear(float value)

### transform

    protected void transform(ChannelData src,
                             ChannelData dest,
                             boolean calculateDerivatives)

  Specified by:
    `transform` in class `UVTransformation`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD